IconFactoryTestingTool (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.icon
Class IconFactoryTestingTool

    java.lang.Object
      com.bbn.openmap.tools.icon.IconFactoryTestingTool

All Implemented Interfaces:
  Tool

    public class IconFactoryTestingTool

extends java.lang.Object
implements Tool

An example class and example for how to use the OMIconFactory and IconParts to create Icons. Can be run as a class, or can be used as an OpenMap Tool to show up on the OpenMap ToolPanel.

Constructor Summary
`IconFactoryTestingTool()`

Method Summary
`java.awt.Container` | `getFace()` The retrieval tool's interface.
`java.lang.String` | `getKey()` The retrieval key for this tool
`int` | `getOrientation()` Set the orientation for the GUI of the Tool, SwingConstants.HORIZONTAL or SwingConstants.VERTICAL.
`static void` | `main(java.lang.String[] argv)`
`void` | `setKey(java.lang.String aKey)` Set the retrieval key for this tool
`void` | `setOrientation(int orientation)` Set the orientation for the GUI of the Tool, SwingConstants.HORIZONTAL or SwingConstants.VERTICAL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconFactoryTestingTool

    public IconFactoryTestingTool()

Method Detail

### getFace

    public java.awt.Container getFace()

  The retrieval tool's interface. This is added to the tool bar.

  Specified by:
    `getFace` in interface `Tool`
  Returns:
    String The key for this tool.

### getKey

    public java.lang.String getKey()

  The retrieval key for this tool

  Specified by:
    `getKey` in interface `Tool`
  Returns:
    String The key for this tool.

### setKey

    public void setKey(java.lang.String aKey)

  Set the retrieval key for this tool

  Specified by:
    `setKey` in interface `Tool`
  Parameters:
    `aKey` - The key for this tool.

### main

    public static void main(java.lang.String[] argv)

### setOrientation

    public void setOrientation(int orientation)

  Description copied from interface: `Tool`
  Set the orientation for the GUI of the Tool, SwingConstants.HORIZONTAL or SwingConstants.VERTICAL.

  Specified by:
    `setOrientation` in interface `Tool`
  Parameters:
    `orientation` - that should be set on tool.

### getOrientation

    public int getOrientation()

  Description copied from interface: `Tool`
  Set the orientation for the GUI of the Tool, SwingConstants.HORIZONTAL or SwingConstants.VERTICAL.

  Specified by:
    `getOrientation` in interface `Tool`
  Returns:
    orientation that is set on tool

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details